﻿using PacticeSolution.Children;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PacticeSolution
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void btnOwner_Click(object sender, RoutedEventArgs e)
        {
            ChildWindow child = new ChildWindow();
            child.Owner = this;
            child.WindowStartupLocation = WindowStartupLocation.CenterOwner;
            child.Show();
        }

        private void btnScreen_Click(object sender, RoutedEventArgs e)
        {
            ChildWindow child = new ChildWindow();
            child.WindowStartupLocation = WindowStartupLocation.CenterScreen;
            child.Show();
        }

        private void btnManual_Click(object sender, RoutedEventArgs e)
        {
            ChildWindow child = new ChildWindow();
            child.WindowStartupLocation = WindowStartupLocation.Manual;
            child.Show();
        }

        private void btnTopMost_Click(object sender, RoutedEventArgs e)
        {
            ChildWindow child = new ChildWindow();
            child.Background = Brushes.LightCyan;
            child.Topmost = true;
            child.Show();
        }
    }
}
